%chs3_ex10.m
A= 1; T_0 =1;  f_0 = 1/T_0;
nf=(0:1:6)*f_0;
m=length(nf);
X = zeros(1,m) + j*zeros(1,m); % Set X for all nf to 0
X(1) = A/pi;                   %  X for nf = 0
X(2)  = A/(-j*4);              %  X for nf = 1  
for k=3:2:m                    %  X for even nf
   X(k) = A/(pi*(1-nf(k)^2)); 
[k, X(k)]   
end
Xf = abs(X); Xtheta = -angle(X);
nf_2 = [-nf, nf];
Xf_2 = [Xf, Xf];          % 2-sided amplitude spectrum 
Xtheta_2 = [-Xtheta, Xtheta]; % 2-sided angle spectrum 
subplot(2,1,1), stem(nf_2, Xf_2, 'r'), grid, 
xlabel('f, Hz'), ylabel('Amplitude spectrum')
subplot(2,1,2), stem(nf_2, Xtheta_2, 'm'), grid, 
xlabel('f, Hz'), ylabel('Phase spectrum')
 