%chs2_ex11.m
%	DuHammel's computation of the output for Example 2-14 Text
%
RC = 0.1;
del_t = 0.001;
t = -0.5:del_t:2.5;
L = length(t);
tp = -2*0.5:del_t:2*2.5;             % variable for plotting poutput
x_del=rmp_fn(t)-2*rmp_fn(t-1)+rmp_fn(t-2); % triangular input signal
x_del_dot=stp_fn(t)-2*stp_fn(t-1)+stp_fn(t-2); % Derivative of input  
a = (1 - exp(-t/RC)).*stp_fn(t);                     % step response
y = del_t*conv(x_del_dot, a);
subplot(3,1,1), plot(t, x_del, t, x_del_dot)
text(0.5, 0.2, ' x_{\Delta}(t)'), text(1.05, 0, 'u(t)')
subplot(3,1,2), plot(t, a','r'),  
text(.15,.5, 'a(t), step response')
subplot(3,1,3), plot(tp, y,'m'), xlabel('t'), 
axis([-.5 2.5 0 1])
text(0.8, .5, 'y_{\Delta}(t)')
 