%chs2_ex4.m
%	Example 2.4 (2-7 Textbook)
%  Hadi Saadat Winter 98-99
%  This file demonstrate the graphical convolution 
%  using Example 2-7 in the text
%  
reset(gcf)
del_t = .005;
t = -2:del_t:10;
L = length(t);
tp = [2*t(1):del_t:2*t(L)];
x = 2*(pls_fn((t-5)/2));
h = pls_fn((t-2)/4);
y = del_t*conv(x, h);
subplot(4,1,1), plot(t, x,'r'), xlabel('t'), ylabel('x(t)'),grid, axis([t(1) t(L) -3 3])
subplot(4,1,2), plot(t, h,'b'), xlabel('t'), ylabel('h(t)'),grid, axis([t(1) t(L) -3 3])
hold on
for k=1:7
   n=k-7;
   subplot(4,1,3), plot(t, h,'b'), xlabel('t'), ylabel('h(t)'),grid, axis([t(1) t(L) -3 3])
   subplot(4,1,3), text(0, -1, 'Hit Enter to move x(t-\lambda) \rightarrow')
   hold on
	subplot(4,1,3), plot(t+n, x,'r'), ylabel('x(t-\lambda)'), grid, axis([t(1) t(L) -3 3])
	pause 
	subplot(4,1,3), plot(t+n, x,'w'), grid on, axis([t(1) t(L) -3 3])
	subplot(4,1,3), text(7, -1, '\lambda')  
	subplot(4,1,4), plot(tp, y,'m'),xlabel('t'), ylabel('y(t)'),grid, axis([4 4+k -4 4])
   end
subplot(4,1,3), plot(t, x,'r'), grid, axis([t(1) t(L) -3 3])
hold off


