% Example 4.2
syms t w f 							 % Define symbolic variables
x = sym('exp(-2*t)*Heaviside(t)')	 % Create  the signal
X = fourier(x)						 % Fourier transform
Xf = subs(X, 'w', sym('2*pi*f'))	 % Change w rad/sec to f = w/(2*pi) in Hz 
Xf_conj = subs(Xf, 'f' ,sym('-f'))% Conjugate Fourier transform
Gf = symmul(Xf, Xf_conj)			 % Energy Spectral Density 
ezplot(Gf)							 % Use ezplot to plot energy spectrum
  
