%chs1_ex13.m
% This script file plots cosine of n frequencies cos(2 \pi kt)
% and their sum over one cycle from t = -0.5 to t = 0.5. 
% The user is prompted to enter the number of harmonics n.  
% H. Saadat Fall 1998 .

close        % Close the figure 
t = -0.5:.01:0.5; % Time interval  
m =length(t);
n = input('No. of sequences -> '); 
x = zeros(n, m);   % Initialize x  
sumx = zeros(1,m); % Initialize sum of cosines  
for k = 1:n;
    tn= k*t;
    x(k,:)= cos(2*pi*tn);
    sumx = sumx + x(k,:);    
end       
%set(gcf,'Paperposition', [0 0  6.5  3.2]) 
subplot(1,2,1), plot(t, x, '-'), 
xlabel('t'), ylabel([num2str(n), ' cosines'])   
subplot(1,2,2), plot(t, sumx, 'r'), hold on;
xlabel('t'), ylabel(['sum of ', num2str(n), ' cosines'])   
%print -dpsc -cmyk c:\WinEdt\MyTexfiles\Figcosines100.eps
subplot(111)